1 (edited by quazardous 2017-02-23 15:59:13)

Topic: [solved] php-pecl-zip 71 tries to use 56 deps -> error

[root@ovh2 ~]# yum update -y
Modules complémentaires chargés : fastestmirror
base                                                                                                                                                                        | 3.6 kB  00:00:00     
epel/x86_64/metalink                                                                                                                                                        |  24 kB  00:00:00     
epel                                                                                                                                                                        | 4.3 kB  00:00:00     
extras                                                                                                                                                                      | 3.4 kB  00:00:00     
mariadb                                                                                                                                                                     | 2.9 kB  00:00:00     
nginx                                                                                                                                                                       | 2.9 kB  00:00:00     
remi                                                                                                                                                                        | 2.9 kB  00:00:00     
remi-php71                                                                                                                                                                  | 2.9 kB  00:00:00     
remi-safe                                                                                                                                                                   | 2.9 kB  00:00:00     
remi-test                                                                                                                                                                   | 2.9 kB  00:00:00     
updates                                                                                                                                                                     | 3.4 kB  00:00:00     
(1/7): epel/x86_64/updateinfo                                                                                                                                               | 741 kB  00:00:00     
(2/7): remi-php71/primary_db                                                                                                                                                | 178 kB  00:00:00     
(3/7): remi-test/primary_db                                                                                                                                                 | 398 kB  00:00:00     
(4/7): remi-safe/primary_db                                                                                                                                                 | 907 kB  00:00:00     
(5/7): remi/primary_db                                                                                                                                                      | 1.6 MB  00:00:00     
(6/7): updates/7/x86_64/primary_db                                                                                                                                          | 2.9 MB  00:00:00     
(7/7): epel/x86_64/primary_db                                                                                                                                               | 4.5 MB  00:00:00     
Loading mirror speeds from cached hostfile
* base: fr.mirror.babylon.network
* epel: fr.mirror.babylon.network
* extras: fr.mirror.babylon.network
* remi: fr.mirror.babylon.network
* remi-php71: fr.mirror.babylon.network
* remi-safe: fr.mirror.babylon.network
* remi-test: fr.mirror.babylon.network
* updates: fr.mirror.babylon.network
Résolution des dépendances
--> Lancement de la transaction de test
---> Le paquet kernel.x86_64 0:3.10.0-514.6.2.el7 sera installé
---> Le paquet openssl.x86_64 1:1.0.1e-60.el7 sera mis à jour
---> Le paquet openssl.x86_64 1:1.0.1e-60.el7_3.1 sera utilisé
---> Le paquet openssl-libs.x86_64 1:1.0.1e-60.el7 sera mis à jour
---> Le paquet openssl-libs.x86_64 1:1.0.1e-60.el7_3.1 sera utilisé
---> Le paquet php-pear.noarch 1:1.10.1-10.el7.remi sera mis à jour
---> Le paquet php-pear.noarch 1:1.10.1-12.el7.remi sera utilisé
---> Le paquet php-pecl-memcached.x86_64 0:3.0.2-1.el7.remi.7.1 sera mis à jour
---> Le paquet php-pecl-memcached.x86_64 0:3.0.3-1.el7.remi.7.1 sera utilisé
---> Le paquet php-pecl-zip.x86_64 0:1.13.5-2.el7.remi.7.1 sera mis à jour
---> Le paquet php-pecl-zip.x86_64 0:1.14.0-0.1.20170219dev.el7.remi.5.6 sera utilisé
--> Traitement de la dépendance : php(zend-abi) = 20131226-64 pour le paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64
--> Traitement de la dépendance : php(api) = 20131106-64 pour le paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64
--> Traitement de la dépendance : libzip.so.5()(64bit) pour le paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64
---> Le paquet php-phpmyadmin-sql-parser.noarch 0:4.1.1-1.el7.remi sera mis à jour
---> Le paquet php-phpmyadmin-sql-parser.noarch 0:4.1.2-1.el7.remi sera utilisé
---> Le paquet python-perf.x86_64 0:3.10.0-514.6.1.el7 sera mis à jour
---> Le paquet python-perf.x86_64 0:3.10.0-514.6.2.el7 sera utilisé
--> Lancement de la transaction de test
---> Le paquet libzip5.x86_64 0:1.2.0-1.el7.remi sera installé
---> Le paquet php-pecl-zip.x86_64 0:1.14.0-0.1.20170219dev.el7.remi.5.6 sera utilisé
--> Traitement de la dépendance : php(zend-abi) = 20131226-64 pour le paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64
--> Traitement de la dépendance : php(api) = 20131106-64 pour le paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64
--> Résolution des dépendances terminée
Erreur : Paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64 (remi-test)
             Requiert : php(api) = 20131106-64
             Installé  : php-common-7.1.2-1.el7.remi.x86_64 (@remi-php71)
                 php(api) = 20160303-64
             Disponible : php-common-5.4.16-42.el7.x86_64 (base)
                 php(api) = 20100412-64
             Disponible : php-common-5.4.45-12.el7.remi.x86_64 (remi)
                 php(api) = 20100412-64
             Disponible : php-common-5.4.45-13.el7.remi.x86_64 (remi)
                 php(api) = 20100412-64
             Disponible : php-common-5.6.30-0.1.RC1.el7.remi.x86_64 (remi-test)
                 php(api) = 20131106-64
             Disponible : php-common-5.6.30-2.el7.remi.x86_64 (remi-test)
                 php(api) = 20131106-64
             Disponible : php-common-7.1.1-2.el7.remi.x86_64 (remi-php71)
                 php(api) = 20160303-64
Erreur : Paquet : php-pecl-zip-1.14.0-0.1.20170219dev.el7.remi.5.6.x86_64 (remi-test)
             Requiert : php(zend-abi) = 20131226-64
             Installé  : php-common-7.1.2-1.el7.remi.x86_64 (@remi-php71)
                 php(zend-abi) = 20160303-64
             Disponible : php-common-5.4.16-42.el7.x86_64 (base)
                 php(zend-abi) = 20100525-64
             Disponible : php-common-5.4.45-12.el7.remi.x86_64 (remi)
                 php(zend-abi) = 20100525-64
             Disponible : php-common-5.4.45-13.el7.remi.x86_64 (remi)
                 php(zend-abi) = 20100525-64
             Disponible : php-common-5.6.30-0.1.RC1.el7.remi.x86_64 (remi-test)
                 php(zend-abi) = 20131226-64
             Disponible : php-common-5.6.30-2.el7.remi.x86_64 (remi-test)
                 php(zend-abi) = 20131226-64
             Disponible : php-common-7.1.1-2.el7.remi.x86_64 (remi-php71)
                 php(zend-abi) = 20160303-64
Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Re: [solved] php-pecl-zip 71 tries to use 56 deps -> error

Because you have "remi-test" enabled.

Disable this one, or also enable "remi-php71-test" (espcecially if you want to try 1.4.0-dev with encryption support)

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: [solved] php-pecl-zip 71 tries to use 56 deps -> error

thx my bad !

it works now !